#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: equivalence
version: 0.3.3
id: equivalence-0.3.3-De2nNPwENNq7NthO4GojVo
key: equivalence-0.3.3-De2nNPwENNq7NthO4GojVo
license: BSD-3-Clause
maintainer: paba@itu.dk
author: Patrick Bahr
stability: provisional
homepage: https://github.com/pa-ba/equivalence
synopsis: Maintaining an equivalence relation implemented as union-find using STT.
description:
    This is an implementation of Tarjan'\''s Union-Find algorithm (Robert
    E. Tarjan. "Efficiency of a Good But Not Linear Set Union
    Algorithm", JACM 22(2), 1975) in order to maintain an equivalence
    relation.
    This implementation is a port of the /union-find/ package using the
    ST monad transformer (instead of the IO monad).
category: Algorithms, Data
abi: 3c92fa1b46397943438d5d597a72e926
exposed: True
exposed-modules:
    Data.Equivalence.Monad Data.Equivalence.STT
import-dirs: /usr/lib/ghc-8.6.3/site-local/equivalence-0.3.3
library-dirs: /usr/lib/ghc-8.6.3/site-local/equivalence-0.3.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.6.3/equivalence-0.3.3
hs-libraries: HSequivalence-0.3.3-De2nNPwENNq7NthO4GojVo
depends:
    STMonadTrans-0.4.3-FHaBKWFZfyp9xAiSNf90KJ base-4.12.0.0
    containers-0.6.0.1 mtl-2.2.2 transformers-0.5.5.0
    transformers-compat-0.6.2-JV1ddSnlm3mL2xw4J4K8Kw
haddock-interfaces: /usr/share/doc/haskell-equivalence/html/equivalence.haddock
haddock-html: /usr/share/doc/haskell-equivalence/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

